Results 1 to 3 of 3

Thread: ssh problems

  1. #1
    Join Date
    Mar 2004

    ssh problems

    I have not needed to ssh into my box in several weeks as i keep a screen session open to it all the time. Well i tried to ssh to the box and got

    ssh: /lib/ version `GLIBC_2.2' not found (required by ssh)
    ssh: /lib/ version `GLIBC_2.3' not found (required by ssh)
    ssh: /lib/ version `GLIBC_2.2' not found (required by /lib/

    so i figure i would reboot and see. well now i can not get back in except when i turn telnet on then i can telnet in and then su to root. This is a raq4 and i have not installed anything on it in ages. Any ideas?
    If it works, do not mess with it.
    If it almost works, fix it.
    If it does not work, replace it.
    CDG Commerce

  2. #2
    Sounds like a new version of OpenSSH with too old GLIBC?

    But if you haven't installed anything in ages that shouldn't be
    the problem.. Well.. Since you probably run this server
    commercially you really should upgrade to Strongbolt.

    How is your disk running? Any errors?

  3. #3
    Join Date
    Nov 2003
    Northville, Michigan
    I would suggest that it's possible a hacker gained access and installed a incorrect version of ssh. it happens...

    I would suggest you replace your ssh related rpms restart the services...

    no matter who's software you had installed you can unpack the pkg and force the rpms in...

    (reboot first)
    tar -zxpvf pkgname
    rpm -Uvh --force RPMS/*
    and the restart ssh or just reboot again...

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts